<mat-card class="art-card" [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
	<mat-card-content *ngIf="data">
		<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Фамилия</mat-label>
				<input matInput [ngModel]="data.surname" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Имя</mat-label>
				<input matInput [ngModel]="data.name" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Отчество</mat-label>
				<input matInput [ngModel]="data.patronymic" readonly="true">
			</mat-form-field>
		</div>

		<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Дата рождения</mat-label>
				<input matInput [ngModel]="data.birthday | date:'dd.MM.yyyy'" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Пол</mat-label>
				<input matInput [ngModel]="data.name_gender" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Гражданство</mat-label>
				<input matInput [ngModel]="data.name_okcm" readonly="true">
			</mat-form-field>
		</div>

		<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Место рождения</mat-label>
				<input matInput [ngModel]="data.birthplace" readonly="true">
			</mat-form-field>
		</div>

		<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>Телефон</mat-label>
				<input matInput [ngModel]="data.phone" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>email</mat-label>
				<input matInput [ngModel]="data.email" readonly="true">
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
				<mat-label>СНИЛС</mat-label>
				<input matInput [ngModel]="data.snils" readonly="true">
			</mat-form-field>
		</div>

		<ng-container *ngFor="let addr of addresses">
			<div>
				<h4 class='my-8'>{{addr.title}}</h4>
			</div>

			<div *ngIf="data[addr.id] || data[addr.id_full]; else  dataEmpty">
				<div *ngIf="data[addr.id]" >

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Индекс</mat-label>
							<input matInput [ngModel]="data[addr.id].index_addr" readonly="true">
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="66.3" fxFlex.lt-md="100">
							<mat-label>Регион</mat-label>
							<input matInput [ngModel]="data[addr.id].name_region" readonly="true">
						</mat-form-field>
					</div>

					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Городской округ</mat-label>
							<input matInput [ngModel]="data[addr.id].city_area" readonly="true">
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Район</mat-label>
							<input matInput [ngModel]="data[addr.id].area" readonly="true">
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Район опционально</mat-label>
							<input matInput [ngModel]="data[addr.id].additional_area" readonly="true">
						</mat-form-field>


					</div>
					<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Город</mat-label>
							<input matInput [ngModel]="data[addr.id].city" readonly="true">
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Улица</mat-label>
							<input matInput [ngModel]="data[addr.id].street" readonly="true">
						</mat-form-field>
						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
							<mat-label>Улица (опционально)</mat-label>
							<input matInput [ngModel]="data[addr.id].additional_street"  readonly="true">
						</mat-form-field>
					</div>
					<div fxLayout="row wrap" fxLayout.lt-md="column" fxLayoutGap.gt-md='16px'>

						<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
							<mat-label>Владение</mat-label>
							<input matInput [ngModel]="data[addr.id].place" readonly="true">
						</mat-form-field>

						<div fxFlex="" fxFlex.lt-lg="100" fxLayoutGap='16px'>
							<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Дом</mat-label>
								<input matInput [ngModel]="data[addr.id].house" readonly="true">
							</mat-form-field>
							<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Строение</mat-label>
								<input matInput [ngModel]="data[addr.id].building1" readonly="true">
							</mat-form-field>
						</div>
						<div fxFlex="" fxFlex.lt-lg="100" fxLayoutGap='16px'>
							<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
								<mat-label>Строение (опционально)</mat-label>
								<input  matInput [ngModel]="data[addr.id].building2" readonly="true">
							</mat-form-field>
							<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
								<mat-label>Квартира</mat-label>
								<input matInput [ngModel]="data[addr.id].apartment" readonly="true">
							</mat-form-field>
						</div>
					</div>
				</div>

				<div *ngIf="data[addr.id_full]" fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
						<mat-label>Адрес</mat-label>
						<textarea matInput [ngModel]="data[addr.id_full]" rows="2" readonly="true"> </textarea>
					</mat-form-field>
				</div>

			</div>

			<ng-template #dataEmpty>
				<i>Данные не указаны</i>
			</ng-template>
		</ng-container>

	</mat-card-content>


</mat-card>


